curl --request GET \
--url https://api.gbase.ai/v1/ais/{ai_id}import requests
url = "https://api.gbase.ai/v1/ais/{ai_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.gbase.ai/v1/ais/{ai_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"user": {
"created_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"email": "<string>",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"picture": "<string>",
"locale": "<string>",
"corporate": false,
"is_independent": false,
"admin_overrides": "<unknown>",
"dealer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"apis": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"function_call_name": "<string>",
"openapi_url": "<string>",
"server_url": "<string>",
"path": "<string>",
"method": "<string>",
"header_authorization": "<unknown>",
"function_type": "<string>",
"function_status": "<string>",
"share_status": "<string>",
"user_id": "<string>",
"function_call_description": "<string>",
"matching_keywords": "<unknown>",
"llm_sta": true,
"body": "<unknown>",
"auth_token_curl": "<unknown>",
"body_required": "<unknown>",
"request_explanation": "<string>"
}
],
"datasets": [
{
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data_status": "init",
"description": "<string>",
"metadata": "<unknown>",
"url_rules": "<unknown>",
"organization_id": "<string>"
}
],
"questions": [
{
"question": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question_type": "generator"
}
],
"file_count": 123,
"configs": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discrible": "<string>",
"subject_name": "<string>",
"prompt": "<string>",
"robot_type": "rag",
"ai_type": "private",
"ai_model": "file",
"ai_status": "ready",
"company_id": "<string>",
"permission_type": "<string>",
"clone_task_id": "<string>",
"progress_percent": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get AI
Path Parameters
Response
Successful Response
Extended AIDetailOut with enterprise permission information
100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
RAG: rag
DIGITAL_HUMAN: digital_human
AGENT: agent
CATALOG_AGENT: catalog_agent
GENERAL_AGENT: general_agent
GBASECLAW: gbaseclaw
100DEFAULT: default
DEMO: demo
PUBLIC: public
PRIVATE: private
TRENDING: trending
20FILE: file
WEBSITE: website
DIGITAL_HUMAN: digital_human
AGENT: agent
20INIT: init
READY: ready
FROZEN: frozen
CLONING_SOURCE: cloning_source
CLONING_TARGET: cloning_target
CLONING_FAILED: cloning_failed
20Alias for organization_id for API compatibility
User's permission type for this robot (OWNER, EDIT, VIEW).
Active or most-recent clone task id when ai_status is in CLONING_*
Clone progress percent (0-100) when ai_status is in CLONING_*